<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Article; 
use App\Models\Washing; 
use Brian2694\Toastr\Facades\Toastr;
use DB; 

class ArticleController extends Controller
{
    //

    public function index()
    {
        $articles = Article::all();

        return view('article.index', compact('articles')); 
    }

    public function store(Request $request)
    {
        $request->validate([
            'name_article'   => 'required|string',
            'amount'         => 'required|integer',
           
        ]);

        DB::beginTransaction();
        try{
       
            $article = new Article;
            
            if($request->image != null) 
            {
                $filename = time() .'-'. $request->file('image')->getClientOriginalName();  
             
                $request->image->move(public_path('uploads'), $filename);
               
                $article->image = $filename; 
            }
        
          
            $article->name_article  = $request->name_article;
            $article->amount        = $request->amount;
            
            $article->save();

            DB::commit();
            Toastr::success('Article ajouté avec succée :)','Success');
            return redirect()->route('article');
           
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)','Error');
            return redirect()->back();
        }
    }

    public function update(Request $request)
    {
        DB::beginTransaction();
        
        try {

            $update = [
                'name_article'  => $request->name_article_update,
                'amount'        => $request->amount_update,
            ];

            Article::where('id',$request->id_article_update)->update($update);
            DB::commit();

            Toastr::success('Mise à jour article effectué avec succée :)','Success');
            return redirect()->back();
        } catch(\Exception $e) {
            DB::rollback();
            Toastr::error('Opération échouée :)','Error');
            return redirect()->back(); 
        }
    }

    public function delete(Request $request)
    {
        DB::beginTransaction(); 
       
        try{
            $washing = Washing::where('article_id', '=', $request->id_article_delete)->get(); 
             
            if($washing->count() != 0)
            {
                foreach($washing as $w)
                {
                    Washing::destroy($w->id); 
                }
            }

            Article::destroy($request->id_article_delete);
            
            Toastr::success('Article supprimé avec succée :)','Success');

            return redirect()->back();
        
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Echec de l\'opération :)','Error');
            return redirect()->back();
        }
    }
}

