<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Brian2694\Toastr\Facades\Toastr;
use App\Models\Bill;
use App\Models\Customer; 
use App\Models\Article; 
use App\Models\Washing; 
use App\Models\User; 
use DB; 
use PDF; 

class BillController extends Controller
{
    //
    public function index()
    {
        $bills = Bill::all();
        $customers = Customer::all(); 
    
        return view('bill.index', compact('bills', 'customers')); 
    }

    public function search(Request $request)
    {
        //dd($request->customer_search); 
       /* $bills = DB::table('bills')
            ->join('customers', 'customers.id', '=', 'bills.customer_id')
            ->select('bills.id', 'customers.last_name', 'customers.first_name', 'bills.amount', 'bills.date')
            ->where('customers.last_name', 'LIKE', '%'.$request->customer_search.'%')
            ->orWhere('customers.first_name', 'LIKE', '%'.$request->customer_search.'%')
            ->orWhere('bills.amount', 'LIKE', '%'.$request->amount_search.'%')
            ->orWhere('bills.date', 'LIKE', '%'.$request->date_search.'%')
            ->orWhere('bills.status', 'LIKE', '%'.$request->status.'%')
            ->get(); */

            $bills_results = DB::table('bills')
            ->join('customers', 'customers.id', '=', 'bills.customer_id')
            ->select('bills.id', 'bills.customer_id', 'customers.last_name', 'customers.first_name', 'bills.amount', 'bills.date')
            ->where('customers.last_name', 'LIKE', '%'.$request->customer_search.'%')
            ->orWhere('customers.first_name', 'LIKE', '%'.$request->customer_search.'%')
            ->orWhere('bills.amount', '=', $request->amount_search)
            ->orWhere('bills.date', '=', $request->date_search)
            ->orWhere('bills.status', '=', $request->status)
            ->get(); 
            $customers = Customer::all(); 

            $bills = []; 
            $i = 0; 

            foreach($bills_results as $b)
            {
                $bills[$i] = Bill::find($b->id); 
                $i++;
            }
            return view('bill.index', compact('bills', 'customers')); 
    }

    public function store(Request $request)
    {
       
        DB::beginTransaction();
     
        try{

            $bill = new Bill;
            //$bill->article_id    = $request->article_id; 
            $bill->customer_id   = $request->customer_id;    
            $bill->date          = $request->date;     
            /*$bill->amount        = $request->amount; */
            $bill->status        = 'Non Payé'; 
            $bill->date_remis    = $request->date_remis; 
            $bill->user_id       = $request->user_id; 

            $bill->save(); 

            DB::commit();
            Toastr::success('Facture ajouté avec succée :)','Success');
            return redirect()->route('bill');
           
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)','Error');
            return redirect()->back();
        }
    }

    public function addarticle($id)
    {
        $bill = Bill::find($id); 
        //dd($bill->washing); 
        $articles = Article::all(); 

        $customer = Customer::find($bill->customer_id); 

        $washing  = DB::table('washings')
        ->join('articles', 'articles.id', '=', 'washings.article_id')
        ->select('washings.id', 'articles.image', 'articles.name_article', 'articles.amount', 'washings.qte', 'washings.montant')
        ->where('washings.bill_id', '=', $bill->id)
        ->get(); 
        
        //dd($washing[0]);
        $montant = 0;

        foreach($washing as $w)
        {
            $montant += $w->montant; 
        }

        return view('bill.add_article', compact('bill', 'articles', 'customer', 'washing', 'montant')); 
    }

    public function storearticle(Request $request, $id)
    {
        $this->validate($request, [
            'article' => 'required', 
            'qte' => 'required', 
        ]); 
    
        DB::beginTransaction();
        try{
 
            $article = Article::find($request->article); 

            $washing = new Washing; 
            $washing->article_id = $request->article; 
            $washing->bill_id = $id; 
            $washing->qte = $request->qte; 
            $washing->montant = $article->amount * $request->qte; 
    
            $washing->save(); 

            $bill = Bill::find($id); 

            $bill->amount = $bill->amount + ($article->amount * $request->qte); 

            $bill->save(); 

            DB::commit();
            Toastr::success('Article ajouté avec succée :)','Success');
            return redirect()->route('bill/addArticle', ['id' => $id]); 
           
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)','Error');
            return redirect()->back();
        }
    }

    public function classerarticle($id)
    {   
        DB::beginTransaction();
        try{
            $bill = Bill::find($id);

            if($bill->status == 'Non Payé' || $bill->status == '')
            {
                $bill->status = 'Payé';
                Toastr::success('Classé facturé avec succée :)','Success');
            }
            else 
            {
                $bill->status = 'Non Payé';
                Toastr::success('Réouvert avec succée :)','Success');
            }

            $bill->save();

            DB::commit();
         
            return redirect()->route('bill/addArticle', ['id' => $id]); 
           
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)', 'Error');
            return redirect()->back();
        }
     
        return redirect()->route('bill/addArticle', ['id' => $id]); 
    }

    public function pdfview($idbill)
    {
        DB::beginTransaction();
        try{

            $bill = Bill::find($idbill); 
            /*$pdf = PDF::loadView('bill.pdfview', $bill);

            return $pdf->download('invoice.pdf');*/
            $washings = Washing::where('bill_id', '=', $idbill)->get(); 

            $amount = 0; 

            $customer = Customer::find($bill->customer_id); 

            $user     = User::find($bill->user_id); 

            foreach($washings as $w)
            {
                $amount += $w->montant; 
            }

            return view('bill.pdfview', compact('bill', 'washings', 'amount', 'customer', 'user')); 
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)', 'Error');
            return redirect()->back();
        }
    }

    public function deletearticle(Request $request)
    {
        DB::beginTransaction(); 
        try{

            $washing = Washing::find($request->id_article_delete);

            $bill = Bill::find($washing->bill_id);
            
            $bill->amount = $bill->amount - $washing->montant; 

            $bill->save(); 

            Washing::destroy($request->id_article_delete);

            Toastr::success('Article supprimé avec succée :)','Success');
            return redirect()->back();
        
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Echec de l\'opération :)','Error');
            return redirect()->back();
        }
    }
}
