<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Personne; 
use Brian2694\Toastr\Facades\Toastr;
use Carbon\Carbon; 
use DB; 

class PersonneController extends Controller
{
    //

    public function index()
    {
        $personnes = Personne::all();
        
        return view('personne.index', compact('personnes')); 
    }

    public function store(Request $request)
    {
        $request->validate([
            'nom'   => 'required|string',
            'prenom'    => 'required|string',
            'age'        => 'required', 
            'region'        => 'required', 
        ]);
        
      /*  DB::beginTransaction();

        try{*/

           $personne = new Personne;

            $personne->nom = $request->nom;
            $personne->prenom  = $request->prenom;
            $personne->age    = $request->age;
            $personne->region  = $request->region;
            $personne->qrcode = Carbon::now()->getPreciseTimestamp(6); 
            $personne->save();

        
            DB::commit();
            Toastr::success('Personne ajouté avec succée :)','Success');
            return redirect()->route('personne/index');
           
      /*  }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)','Error');
            return redirect()->back();
        }*/
    }

    public function scan( )
    {
      
        return 'non vaccine';
       /* $personne = DB::table('personnes')->where('qrcode', '=', $request)->get(); 

        if($personne) 
        {
            return response()->json($personne); 
        } 

        return response()->json('Personne non vacciné !'); */
        
    }

    public function update(Request $request)
    {
        DB::beginTransaction();
        
        try {

            $update = [
                'last_name'     => $request->last_name_update,
                'first_name'    => $request->first_name_update,
                'phone'         => $request->phone_update, 
                'address'       => $request->address_update 
            ];

            Personne::where('id',$request->id_Personne_update)->update($update);
            DB::commit();

            Toastr::success('Mise à jour des informations du client sont effectués avec succée :)','Succé');
            return redirect()->back();
        } catch(\Exception $e) {
            DB::rollback();
            Toastr::error('Opération échouée :)','Erreur');
            return redirect()->back(); 
        }
    }
        
    public function delete(Request $request)
    {
        DB::beginTransaction(); 

        try{
            $bill = Bill::where('Personne_id', '=', $request->id_Personne_delete)->get(); 
            
            if($bill->count() == 0)
            {
                Toastr::info('Il y\'a des factures lié à ce client, veuillez les supprimer d\'abord :)','Info');
                return redirect()->back();
            }
           
            Personne::destroy($request->id_Personne_delete);
            
            Toastr::success('Client supprimé avec succée :)','Success');

            return redirect()->back();
        
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Echec de l\'opération :)','Error');
            return redirect()->back();
        }
    }

}
