<?php

namespace App\Models;
 
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Customer; 
use App\Models\Washing; 
use App\Models\User;

class Bill extends Model
{
    use HasFactory;

    protected $fillable = [ 'customer_id', 'washing_id', 'user_id', 'date', 'date_remis', 'amount', 'status', 'created_at', 'updated_at' ]; 

   public function customer()
   {
       return $this->belongsTo(Customer::class, 'customer_id'); 
   }

   public function washing()
   {
       return $this->hasMany(Washing::class, 'washing_id'); 
   }

   public function user()
   {
       return $this->belongsTo(User::class, 'user_id'); 
   }
}
