<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />

		<title>Facture client </title>

		<!-- Favicon -->
		<link rel="icon" href="./images/favicon.png" type="image/x-icon" />
		<link rel="stylesheet" href="{{ URL::to('assets/css/bootstrap.min.css') }}">
	
		<!-- Invoice styling -->
		<style>  
			body {
				background-color: #000
			}

			.padding {
				padding: 2rem !important
			}

			.card {
				margin-bottom: 30px;
				border: none;
				-webkit-box-shadow: 0px 1px 2px 1px rgba(154, 154, 204, 0.22);
				-moz-box-shadow: 0px 1px 2px 1px rgba(154, 154, 204, 0.22);
				box-shadow: 0px 1px 2px 1px rgba(154, 154, 204, 0.22)
			}

			.card-header {
				background-color: #fff;
				border-bottom: 1px solid #e6e6f2
			}

			h3 {
				font-size: 20px
			}

			h5 {
				font-size: 15px;
				line-height: 26px;
				color: #3d405c;
				margin: 0px 0px 15px 0px;
				font-family: 'Circular Std Medium'
			}

			.text-dark {
				color: #3d405c !important
			}
		</style>  

	</head>

	<body>
	
	<div class="offset-xl-2 col-xl-8 col-lg-12 col-md-12 col-sm-12 col-12 padding">
        <div class="card">
            <div class="card-header p-4">
                <a class="pt-2 d-inline-block" href="index.html" data-abc="true">
                <img src="{{ '/images/logo.jpeg' }}" style="width: 200px;"/>
                </a>
                <div class="float-right">
                    <h3 class="mb-0"> Facture 00{{ $bill->id }}</h3>
                    Date de dépot: {{ $bill->date }} à {{ (Carbon\Carbon::parse($bill->created_at))->hour . ':'. (Carbon\Carbon::parse($bill->created_at))->minute . ':' . (Carbon\Carbon::parse($bill->created_at))->second }} <br />
                    Date Prévue Rémis : {{ $bill->date_remis }} <br />
                    Utilisateur: {{ $user->email }} <br />
                </div>
            </div>
            <div class="card-body">
                <div class="row mb-4">
                    <!--div class="col-sm-6">
                        <h5 class="mb-3">From:</h5>
                        <h3 class="text-dark mb-1">Tejinder Singh</h3>
                        <div>29, Singla Street</div>
                        <div>Sikeston,New Delhi 110034</div>
                        <div>Email: contact@bbbootstrap.com</div>
                        <div>Phone: +91 9897 989 989</div>
                    </div-->
                    <div class="col-sm-6 ">
                        <h5 class="mb-3">Client :</h5>
                        <h3 class="text-dark mb-1">Prénom et nom : {{ $customer->last_name . ' ' . $customer->first_name }}</h3>
                        <div>Adresse : {{ $customer->address }} </div>
                        <div>Téléphone : {{ $customer->phone }} </div>
                    </div>
                </div>
                <div class="table-responsive-sm">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th>Article</th>
                                <th class="right">Prix ( FCFA )</th>
                                <th class="center">Quantité</th>
                                <th class="right">Montant</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($washings as $w)
                            <tr>
                                <td class="left strong">{{ $w->article->name_article }}</td>
                                <td class="right">{{ $w->article->amount }} </td>
                                <td class="center">{{ $w->qte }}</td>
                                <td class="right">{{ $w->montant }}</td>
                            </tr>
                        @endforeach 
                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-lg-4 col-sm-5">
                    </div>
                    <div class="col-lg-4 col-sm-5 ml-auto">
                        <table class="table table-clear">
                            <tbody>
                                <tr>
                                    <td class="left">
                                        <strong class="text-dark">Total</strong> </td>
                                    <td class="right">
                                        <strong class="text-dark">{{ $amount }} FCFA </strong>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            
            <div class="card-footer bg-white">
                <p class="mb-0">Etat de la facture : {{ $bill->status }}</p>
            </div>
        
        </div>
    </div>

    <div class="offset-xl-2 col-xl-8 col-lg-12 col-md-12 col-sm-12 col-12 padding">
        <div class="card">
            <div class="card-header p-4">
                <a class="pt-2 d-inline-block" href="index.html" data-abc="true">
                    <img src="{{ '/images/logo.jpeg' }}" style="width: 200px;"/>
                </a>   
                <div class="float-right">
                    <h3 class="mb-0">Facture 00{{ $bill->id }}</h3>
                    Date de dépot: {{ $bill->date }} à {{ (Carbon\Carbon::parse($bill->created_at))->hour . ':'. (Carbon\Carbon::parse($bill->created_at))->minute . ':' . (Carbon\Carbon::parse($bill->created_at))->second }} <br />
                    Date Prévue Rémis : {{ $bill->date_remis }} <br />
                    Utilisateur: {{ $user->email }} <br />
                </div>
            </div>
            <div class="card-body"> 
                <div class="row mb-4">
                    <!--div class="col-sm-6">
                        <h5 class="mb-3">From:</h5>
                        <h3 class="text-dark mb-1">Tejinder Singh</h3>
                        <div>29, Singla Street</div>
                        <div>Sikeston,New Delhi 110034</div>
                        <div>Email: contact@bbbootstrap.com</div>
                        <div>Phone: +91 9897 989 989</div>
                    </div-->
                    <div class="col-sm-6 ">
                        <h5 class="mb-3">Client :</h5>
                        <h3 class="text-dark mb-1">Prénom et nom : {{ $customer->first_name  . ' ' .  $customer->last_name }}</h3>
                        <div>Adresse : {{ $customer->address }} </div>
                        <div>Téléphone : {{ $customer->phone }} </div>
                    </div>
                </div>
                <div class="table-responsive-sm">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th>Article</th>
                                <th class="right">Prix ( FCFA )</th>
                                <th class="center">Quantité</th>
                                <th class="right">Montant</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($washings as $w)
                                <tr>
                                    <td class="left strong">{{ $w->article->name_article }}</td>
                                    <td class="right">{{ $w->article->amount }} </td>
                                    <td class="center">{{ $w->qte }}</td>
                                    <td class="right">{{ $w->montant }}</td>
                                </tr>
                            @endforeach 
                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-lg-4 col-sm-5">
                    </div>
                    <div class="col-lg-4 col-sm-5 ml-auto">
                        <table class="table table-clear">
                            <tbody>
                                <tr>
                                    <td class="left">
                                        <strong class="text-dark">Total</strong> </td>
                                    <td class="right">
                                        <strong class="text-dark">{{ $amount }} FCFA </strong>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            
            <div class="card-footer bg-white">
                <p class="mb-0">Etat de la facture : {{ $bill->status }}</p>
            </div>
            
        </div>
    </div>

	</body>
</html>